i managed to jailbreak my 1.1.4 iphone using iliberty+ (after updating to firmware 2.0 and realizing it was a mistake)

i was using the 2.0 to 1.1.4 instructions listed here: link

the last part of the steps is to get back to 04.04.05_G (1.1.4 baseband) as i currently have 04.04.05_G (2.0 baseband)

currently i have no service and i am attributing this to the fact that i still haven't gotten back to the 1.1.4 baseband.

i have been told that if you use winpwn, the program will automatically degrade your baseband.

so my question is can i use winpwn after just having used iliberty+ to jailbreak and activate my phone?

thanks for the help in advance....